package intrinsic.mx.controls;

public class RichTextEditor extends intrinsic.mx.containers.Panel {

	/** Accessors */
	public intrinsic.mx.controls.Button boldButton;
	public String defaultLinkProtocol;
	public intrinsic.mx.containers.HBox toolBar2;
	public boolean showControlBar;
	public intrinsic.Array fontSizeArray;
	public intrinsic.mx.controls.TextArea textArea;
	public intrinsic.mx.controls.ComboBox fontFamilyCombo;
	public intrinsic.mx.controls.ToggleButtonBar alignButtons;
	public String text;
	public intrinsic.mx.controls.Button bulletButton;
	public intrinsic.mx.controls.ComboBox fontSizeCombo;
	public intrinsic.mx.controls.Button italicButton;
	public intrinsic.mx.controls.TextInput linkTextInput;
	public boolean showToolTips;
	public intrinsic.mx.controls.richTextEditorClasses.ToolBar toolbar;
	public intrinsic.Array fontFamilyArray;
	public intrinsic.mx.controls.textClasses.TextRange selection;
	public String htmlText;
	public intrinsic.mx.controls.ColorPicker colorPicker;
	public intrinsic.mx.controls.Button underlineButton;

	/** Variables */
	public String fontSizeToolTip;
	public String fontFamilyToolTip;
	public intrinsic.mx.controls.VRule _RichTextEditor_VRule2;
	public intrinsic.mx.controls.VRule _RichTextEditor_VRule1;
	public String colorPickerToolTip;
	public Object _bindingsByDestination;
	public Object _bindingsBeginWithWord;
	public String bulletToolTip;
	public String underlineToolTip;
	public String linkToolTip;
	public String italicToolTip;
	public String alignToolTip;
	public String boldToolTip;
	public intrinsic.Array transitions;
	public intrinsic.Array states;

	/** Constants */

	/** Class Accessors */
	public static intrinsic.mx.binding.IWatcherSetupUtil watcherSetupUtil;

	/** Class variables */

/** Contructors */
public RichTextEditor() {
}


/** Static Methods */

/** Methods */
public native void __fontFamilyCombo_creationComplete(intrinsic.mx.events.FlexEvent arg0);
public native void __linkTextInput_focusOut(intrinsic.flash.events.FocusEvent arg0);
public native void __fontFamilyCombo_close(intrinsic.mx.events.DropdownEvent arg0);
public native void __bulletButton_click(intrinsic.flash.events.MouseEvent arg0);
public native void __boldButton_click(intrinsic.flash.events.MouseEvent arg0);
public native void __underlineButton_click(intrinsic.flash.events.MouseEvent arg0);
public native void __alignButtons_itemClick(intrinsic.mx.events.ItemClickEvent arg0);
public native void __textArea_change(intrinsic.flash.events.Event arg0);
public native void styleChanged(String arg0);
public native void __fontSizeCombo_enter(intrinsic.mx.events.FlexEvent arg0);
public native void __italicButton_click(intrinsic.flash.events.MouseEvent arg0);
public native void __fontFamilyCombo_enter(intrinsic.mx.events.FlexEvent arg0);
public native void __linkTextInput_enter(intrinsic.mx.events.FlexEvent arg0);
public native void __textArea_valueCommit(intrinsic.mx.events.FlexEvent arg0);
public native void initialize();
public native void __textArea_keyUp(intrinsic.flash.events.KeyboardEvent arg0);
public native void __fontSizeCombo_close(intrinsic.mx.events.DropdownEvent arg0);
public native void __textArea_keyDown(intrinsic.flash.events.KeyboardEvent arg0);
public native void __textArea_mouseDown(intrinsic.flash.events.MouseEvent arg0);
public native void __colorPicker_close(intrinsic.mx.events.DropdownEvent arg0);

}
